Groups | Search | Server Info | Keyboard shortcuts | Login | Register [http] [https] [nntp] [nntps]
Groups > linux.kernel > #1699470
| From | Ingo Molnar <mingo@kernel.org> |
|---|---|
| Newsgroups | linux.kernel |
| Subject | [PATCH] perf build: Clarify header version warning message |
| Date | 2017-07-30 11:40 +0200 |
| Message-ID | <u8SRz-6XI-5@gated-at.bofh.it> (permalink) |
| References | <u8jK9-8pF-3@gated-at.bofh.it> |
| Organization | linux.* mail to news gateway |
Change this:
Warning: arch/x86/include/asm/disabled-features.h differs from kernel
Warning: arch/x86/include/asm/cpufeatures.h differs from kernel
Warning: arch/powerpc/include/uapi/asm/kvm.h differs from kernel
Warning: arch/s390/include/uapi/asm/kvm.h differs from kernel
to:
Warning: Kernel ABI header at 'tools/arch/x86/include/asm/disabled-features.h' differs from latest version at 'arch/x86/include/asm/disabled-features.h'
Warning: Kernel ABI header at 'tools/arch/x86/include/asm/cpufeatures.h' differs from latest version at 'arch/x86/include/asm/cpufeatures.h'
Warning: Kernel ABI header at 'tools/arch/powerpc/include/uapi/asm/kvm.h' differs from latest version at 'arch/powerpc/include/uapi/asm/kvm.h'
Warning: Kernel ABI header at 'tools/arch/s390/include/uapi/asm/kvm.h' differs from latest version at 'arch/s390/include/uapi/asm/kvm.h'
... to make it clearer what the warning is about, and to make it easier to diff
the two versions when syncing up the files.
Signed-off-by: Ingo Molnar <mingo@kernel.org>
---
tools/perf/check-headers.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/tools/perf/check-headers.sh b/tools/perf/check-headers.sh
index 9b6295809a3b..d87bc6af0ac2 100755
--- a/tools/perf/check-headers.sh
+++ b/tools/perf/check-headers.sh
@@ -47,7 +47,7 @@ check () {
cmd="diff $opts ../$file ../../$file > /dev/null"
test -f ../../$file &&
- eval $cmd || echo "Warning: $file differs from kernel" >&2
+ eval $cmd || echo "Warning: Kernel ABI header at 'tools/$file' differs from latest version at '$file'" >&2
}
Back to linux.kernel | Previous | Next — Previous in thread | Next in thread | Find similar | Unroll thread
[GIT PULL 00/15] perf/core improvements and fixes Arnaldo Carvalho de Melo <acme@kernel.org> - 2017-07-28 22:10 +0200 [PATCH 03/15] perf stat: Use group read for event groups Arnaldo Carvalho de Melo <acme@kernel.org> - 2017-07-28 22:10 +0200 [PATCH 05/15] perf sort: Use default sort if evlist is empty Arnaldo Carvalho de Melo <acme@kernel.org> - 2017-07-28 22:10 +0200 [PATCH 14/15] perf data: Add mmap[2] events to CTF conversion Arnaldo Carvalho de Melo <acme@kernel.org> - 2017-07-28 22:10 +0200 [PATCH 09/15] perf annotate TUI: Fix --show-total-period Arnaldo Carvalho de Melo <acme@kernel.org> - 2017-07-28 22:10 +0200 Re: [GIT PULL 00/15] perf/core improvements and fixes Ingo Molnar <mingo@kernel.org> - 2017-07-30 11:40 +0200 [PATCH] perf build: Clarify header version warning message Ingo Molnar <mingo@kernel.org> - 2017-07-30 11:40 +0200 perf build: Clarify open-coded header version warning message Ingo Molnar <mingo@kernel.org> - 2017-07-30 12:00 +0200 tools/include: Sync kernel ABI headers with tooling headers Ingo Molnar <mingo@kernel.org> - 2017-07-30 12:00 +0200
csiph-web